/*
 * Copyright (c) 2020 ETSI.  All rights reserved.
 */

export const pipe = (...fns) => val => fns.reduce((acc, f) => f(acc), val);
export const filter = fn => array => array.filter(fn);

export const idlog = label => val => {
  /*eslint-disable */
  console.log(`${label}: `, val);
  /*eslint-enable */
  return val;
};
